# Invoke-RASExportSettings

### NAME

Invoke-RASExportSettings\ <br>

### SYNOPSIS

Exports the complete Parallels RAS farm configuration to a file.\ <br>

### SYNTAX

Invoke-RASExportSettings \[-[FilePath](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASExportSettings.html#FilePath)] *\<string>* \[-[TimeoutInSecs](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASExportSettings.html#TimeoutInSecs) *\<uint>*] \[*<*[*CommonParameters*](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/cmdlets/Invoke-RASExportSettings.html#CommonParameters)*>*]\ <br>

### DESCRIPTION

Exports a Parallels RAS farm configuration to a file.\
\
You can use this functionality to back up your farm settings, so you can easily restore them if needed.\
\
To restore a backed up configuration, use the Invoke-ImportSettings cmdlet.\ <br>

### PARAMETERS

\
-**FilePath \<string>**\
Target file name and path. Use the '.dat2' filename extension to be consistent with the Parallels RAS console.\ <br>

```
        Required?                    true
```

```
        Position?                    0
```

```
        Default value                
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
-**TimeoutInSecs \<uint>**\
Timeout in seconds. Default: 600s (10mins).\ <br>

```
        Required?                    false
```

```
        Position?                    named
```

```
        Default value                600
```

```
        Accept pipeline input?       false
```

```
        Accept wildcard characters?  false
```

\
\<CommonParameters>

```
        This cmdlet supports the common parameters: Verbose, Debug,
```

```
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
```

```
        OutBuffer, PipelineVariable, and OutVariable. For more information, see 
```

```
        about_CommonParameters . 
```

<br>

### INPUTS

-none-

### OUTPUTS

[String](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/String.html)

### EXAMPLES

\
\&#xNAN;**---------- EXAMPLE 1 ----------**\
\
Invoke-RASExportSettings "C:\Backup\RAS-backup.dat2"\
\
Exports the complete farm configuration to the specified file.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/commands/invoke-rasexportsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
